head	1.2;
access;
symbols;
locks; strict;
comment	@ * @;


1.2
date	96.10.10.20.33.52;	author idr;	state Exp;
branches;
next	1.1;

1.1
date	96.10.08.19.47.12;	author idr;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Modified the class so that the ShiftRow() and ShiftCol() functions are
not a part of even the private interface.
@
text
@/* Name : board.h
 *
 * Notes: This file contains the class interface for the Quixo(tm) game
 *        board class.  It should be possible to EASILY adapt this class
 *        interface to work with just about any Quixo(tm) like game (i.e.,
 *        Tic Tac Toe, Connect Four, etc).
 *
 * $Log: board.h $
 * Revision 1.1  1996/10/08 19:47:12  idr
 * Initial revision
 *
 */

#ifndef BOARD_H
#define BOARD_H

#include <string.h>
#include "quixo.h"




/*****************************************************************************/

class Board
{
public:
    Board( void )
    {
        memset( this->board, EMPTY, sizeof( this->board ) );        
    };

    /* Returns an array of all the valid moves for the specified player.  The
     * last move has a srcX and srcY of -1.
     */

    const move_t * MoveSet( int player );

    /* Returns TRUE if the specified move is valid for the specified player,
     * FALSE otherwise.
     */

    BOOL IsValidMove( move_t move, int player );

    /* Updates the game board to reflect the specified move.  Will return
     * TRUE if the move is valid, FALSE otherwise.
     */

    BOOL DoMove( move_t move, int player );

    /* Returns the player number (either PLAYER_1 or PLAYER_2) of the winner
     * of the game, or EMPTY if there is no winner.
     */

    int IsWinner( int player );

    /* Heuristic to determine the fitness of a given game board.  Could be
     * used by a minmax tree algorithm, for example.
     */

    float Evaluate( int player );

    /* Friend function that is used to display the game board. */

    friend void ShowBoard( Board & b );


private:
    char board[5][5];
    move_t moves[ MAX_MOVES + 1 ];
};

#endif
@


1.1
log
@Initial revision
@
text
@d8 4
a11 1
 * $Log:$
a68 3
    void ShiftRow( int srow, int scol, int dcol, int player );
    void ShiftCol( int srow, int scol, int drow, int player );

@
