/* Name : input.cc
 *
 * Notes:
 *
 * $Log: input.cc $
 * Revision 1.1  1996/10/08 19:48:29  idr
 * Initial revision
 *
 */

#include <stdio.h>
#include <stdtypes.h>
#include <errors.h>

#include "board.h"
#include "quixo.h"

/*****************************************************************************/
/* Name : InitInput()
 *
 * Notes: This function should be used to initialize any data structures
 *        needed for the input routines.  This could include setting up menus,
 *        mouse movement handlers, or whatever.  For the "terminal" version,
 *        however, the routine doesn't acutally do anything.
 */

ERROR InitInput( void )
{
    return( ERROR_NO_ERROR );
}




/*****************************************************************************/
/* Name : GetHumanMove()
 *
 * Notes:
 *
 */

move_t GetHumanMove( Board & b, struct Player * p )
{
    move_t  m;
    int     x;
    int     y;
    char    side;

    DisplayMovePrompt( p->player );
    scanf( "%d %d %c", & x, & y, & side );

    FixMove( & m, x, y, side );
    return( m );
}
